3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('Hi'); } catch (Exception $e) { echo 'Caught Exception' . PHP_EOL; throw $e; } finally { echo 'Finallly!!!' . PHP_EOL; }
Output for 7.0.0 - 7.3.0alpha1
Caught Exception Finallly!!! Fatal error: Uncaught Exception: Hi in /in/Z100t:4 Stack trace: #0 {main} thrown in /in/Z100t on line 4
Process exited with code 255.
Output for 5.6.0 - 5.6.29
Caught Exception Finallly!!! Fatal error: Uncaught exception 'Exception' with message 'Hi' in /in/Z100t:4 Stack trace: #0 {main} thrown in /in/Z100t on line 4
Process exited with code 255.